Subject: Ticket Assigned - 9621879088
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 18 Dec 2020 06:00:35 +0000

Hi Algaili Abdelbagee Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9621879088 Hi

I was told my order would be delivered today which is the only reason I
placed the order

I am leaving to my country tomorrow morning and I am writing to ensure that
these items are delivered as per the website details when placing the order.

I have tried tracking the items and noticed it us still not out
for delivery which is very concerning.

If you could kindly escalate this for me I would really appreciate it.

Looking forward to hearing from you as soon as possible

Ms. Nasreen

0556734105

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1881357